

<h1>Points de suivi</h1>

{% if app.session.get('U').aAcces('ROLE_GESTIONNAIRE',0,app.pdo) %}
    <p class='text-right'><a class='btn btn-success' href="{{ url('point-suivi-form' , { 'alias' : 'nouveau' }) }}"><span class="glyphicon glyphicon-plus"></span> Nouveau point de suivi</a></p>
{% endif %}

<table class="table table-condensed">
    <tr>
        <th></th>
        <th>Point</th>
        <th>Type de point</th>
        <th>Dernière valeur</th>
        <th></th>
    </tr>

    {% for p in points %}

        {% if app.session.get('U').aAcces('ROLE_LECTEUR',p.id_point_suivi,app.pdo) %}


            <tr>
                <td>
                    {% if app.session.get('U').estPointSuiviFavori(p.id_point_suivi, app.pdo)==1 %}
                        <a href="#" onclick="sendData(null, '{{ url('point-suivi-favori', { 'alias' : p.alias, 'action' : 'suppression' }) }}', 'points-suivi');"><span class="glyphicon glyphicon-check"></span></a>
                        {% else %}

                        <a href="#" onclick="sendData(null, '{{ url('point-suivi-favori', { 'alias' : p.alias, 'action' : 'ajout' }) }}', 'points-suivi');"><span class="glyphicon glyphicon-unchecked"></span></a>
                        {% endif %}
                </td>
                <td>
                   
                    <a href="{{ url('point-suivi', { 'alias':p.alias, 'type':p.type_point }) }}">{{ p.point_suivi }}</a>



                </td>

                <td>

                    {% if p.type_point == 'pluvio' %} <img src="/img/icon/pluvio-flat.png" width="30" title="Suivi de la pluviométrie" /> {% endif %}
                    {% if p.type_point == 'hauteur' %} <img src="/img/icon/hauteur-flat.png" width="30" title="Suivi des hauteurs d'eau" /> {% endif %}
                    {% if p.type_point == 'debit' %} <img src="/img/icon/debit-flat.png" width="30" title="Suivi des débits" /> {% endif %}

                </td>
                <td>
                    {% if p.dern_valeur.valeur is defined %}
                        <span class='badge'>{{ p.dern_valeur.valeur }} {{ p.unite }}</span> <br><small>à {{ p.dern_valeur.date_valeur|date('H:i') }} le {{ p.dern_valeur.date_valeur|date('d/m/Y') }}</small>
                    {% endif %}</td>
                <td>
                    {% if p.dern_valeur.valeur is defined %}
                        {% set dern_valeur = p.dern_valeur.valeur %}
                        {% set avant_dern_valeur =  p.avant_dern_valeur.valeur %}
                        {% include('releve/tendance.twig') %}
                    {% endif %}


                </td>
            </tr>
        {% endif %}

    {% endfor %}
</table>


